Skip to main content
GET
The storage tree inside a warehouse, and whether stock can be picked from each bin.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
warehouse_id
string
parent_id
string
parent_code
string
code
string
name
string
location_kind
string
barcode
string
is_pickable
string
is_active
string
depth
string
children
string
row_version
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

barcode
string<character varying>
Maximum string length: 120
children
integer<bigint>
code
string<character varying>
Maximum string length: 60
depth
integer<integer>
id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
is_pickable
boolean<boolean>
location_kind
string<character varying>
Maximum string length: 30
name
string<character varying>
Maximum string length: 200
parent_code
string<character varying>
Maximum string length: 60
parent_id
string<uuid>

Note: This is a Foreign Key to bin_settings.id.

row_version
integer<bigint>
warehouse_id
string<uuid>

Note: This is a Foreign Key to warehouse_settings.id.